unknit(1)

NAME
unknit - nSGML to SGML conversion

SYNOPSIS
usage: unknit [-d ddb] [-u base-url] basefile targetGI [sourceGI] <input-file

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. unknit is a program which creates hyperlinked SGML files from nSGML files. The present version is still somewhat experimental. However, suppose test.w.nsg is an nSGML file which contains <w> markup around words; test.s.nsg is an nSGML file which contains <s> markup around sentences (consisting of a sequence of <w> elements). Running the command
    unknit test.w.nsg W < test.s.nsg > test.s.sgm will create the SGML file test.s.sgm which contains the <s> markup from test.s.nsg, but with all <w> elements replaced with hyperlinks back to test.w.nsg. This can be useful to save space and separate annotation markup from the 'original' content of the document. Specifying a <sourceGI> means that only <targetGI> occuring inside <sourceGI> will be hyperlinked.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> An nSGML file : [stdin]

Output ==> An nSGML file : [stdout]

OPTIONS

-d <ddb-file>
    is the name of a file containing a representation of a DTD. Can be used if the DTD is not specified in the input document iself.

SEE ALSO
ltxml(1), mknsg(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.